Subject: [bug#64711] [PATCH 00/45] Fix builds and skip failing tests for the Hurd.

From: Janneke Nieuwenhuizen <[email-masked]>
Date: Tue, 18 Jul 2023 20:04:56 +0200

Ludovic Courtès writes:

> Janneke Nieuwenhuizen <[email-masked]> skribis:
>
>> * gnu/packages/tls.scm (openssl-3.0)[arguments]: When building on the Hurd,
>> add "hurd-x86" to #:configure-flags.
>
> [...]
>
>> +       ((#:configure-flags flags #~'())
>> +        (if (target-hurd? (%current-system))
>
> Should it be (target-hurd?) with no arguments, so it also affects
> cross-compilation?

No, but I'll change it to "(system-hurd?)" (chronologically, I only
decided to add system-hurd two weeks later).

> If not, maybe add “;native builds” or similar as a
> margin comment to make it clear that it’s on purpose.

Using system-hurd? is probably indicative enough, but because it *must*
not be used when cross building, I'll add a comment.

>
>> +            #~(append
>> +               #$flags
>> +               '("hurd-x86"))
>
> On a single line please.  :-)

Changed to

        (if (system-hurd?)
            #~(append #$flags '("hurd-x86")) ;must not be used when
                                             ;cross-compiling!
            flags))))

Greetings,
Janneke

-- 
Janneke Nieuwenhuizen <[email-masked]>  | GNU LilyPond https://LilyPond.org
Freelance IT https://www.JoyOfSource.com | Avatar® https://AvatarAcademy.com